package cn.muchinfo.rma.global.utils

import cn.muchinfo.rma.global.GlobalDataCollection
import mtp.polymer.com.autowidget.dialog.SelectData

object SelectIUtils {


    /**
     * 新增客户资料的证件类型 过滤 certificatetype
     * @return List<SelectData>
     */
    fun getDocumentType() : List<SelectData>{
        val selectList = arrayListOf<SelectData>()
        val enumDicEntityList = GlobalDataCollection.instance?.enumDicEntityList
        enumDicEntityList?.forEach {
            if (it.enumdiccode == "certificatetype"){
                selectList.add(SelectData(id = it.enumitemname,value = it.enumdicname))
            }
        }
        return selectList
    }

}